import { PropsWithChildren } from 'react';
import { FontAwesomeIconProps } from '@fortawesome/react-fontawesome';
import { IDeleteProps as ICoreDeleteProps } from '@reactionable/core';
export interface IDeleteProps<Data> extends ICoreDeleteProps<Data> {
    label?: string;
    icon?: FontAwesomeIconProps;
}
export declare function Delete<Data>({ label, icon, ...props }: PropsWithChildren<IDeleteProps<Data>>): JSX.Element;
