"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Create = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Form_1 = require("../../form/Form");
var core_1 = require("@reactionable/core");
var UI_1 = require("../../UI");
function Create(_a) {
    var modalProps = _a.modal, children = _a.children, form = _a.form;
    if (!modalProps) {
        return react_1.default.createElement(Form_1.Form, tslib_1.__assign({}, form));
    }
    var useModalForm = UI_1.useUIContext().useModalForm;
    var _b = useModalForm(tslib_1.__assign(tslib_1.__assign({}, (modalProps === true ? {} : modalProps)), { title: form.title, form: form })), modal = _b.modal, openModal = _b.openModal;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(core_1.EnhanceChildren, { children: children, enhance: { onClick: openModal } }),
        modal));
}
exports.Create = Create;
//# sourceMappingURL=Create.js.map